MINARA

Update report custom CSS

PUT /v1/report-style/css — Validate and replace the custom REPORT.css applied after the selected preset and report design tokens. An empty string c

PUT /v1/report-style/css

Validate and replace the custom REPORT.css applied after the selected preset and report design tokens. An empty string clears the override. Custom CSS is limited to 64 KB and rejects network imports, external URLs, HTML delimiters, script-bearing legacy properties, and other unsafe constructs.

MethodPUT
Path/v1/report-style/css
AuthAuthorization: Bearer <token> required when GATEWAY_AUTH_TOKEN is set
Categorytheme

Request body

{ "css": ".report-shell { letter-spacing: 0; }" }

Response body

{ "settings": { "preset": "minara-fusion", "density": "balanced", "typeScale": "standard", "pageWidth": "standard", "cornerStyle": "soft", "accent": "graphite" }, "defaults": { "preset": "minara-fusion", "density": "balanced", "typeScale": "standard", "pageWidth": "standard", "cornerStyle": "soft", "accent": "graphite" }, "presets": [{ "id": "minara-fusion", "name": "Minara Fusion", "description": "..." }], "custom_css": ".report-shell { letter-spacing: 0; }" }

On this page